package org.jconfig;

import junit.framework.TestCase;

/**
 * @author Andreas Mecky <andreas.mecky@xcom.de>
 * @author Terry Dye <terry.dye@xcom.de>
 *
 */
public class LoadSaveTest extends TestCase {
    
    /**
     * Constructor for ConfigurationManagerTest.
     * @param arg0
     */
    public LoadSaveTest(String arg0) {
        super(arg0);
    }
    
    public static void main(String[] args) {
        junit.textui.TestRunner.run(LoadSaveTest.class);
    }
    
    public void testGetInstance() {
        ConfigurationManager cm = ConfigurationManager.getInstance();
        Configuration config = ConfigurationManager.getConfiguration("test_ls");
        assertNotNull(config);
        String var = config.getVariable("user.name");
        assertEquals("developer",var);    
        try {
            cm.save("test_ls");        
        }
        catch (Exception e) {
            fail("unexpected exception");
        }
        cm.removeConfiguration("test_ls");
        config = ConfigurationManager.getConfiguration("test_ls");
        assertNotNull(config);
        var = config.getVariable("user.name");
        assertEquals("developer",var);    
    }    
}